## seahorse-view

seahorse-view

## Synopsis

                        SeahorseCommands;
    #define             SEAHORSE_VIEW_GET_INTERFACE         (obj)
                        SeahorseView;
                        SeahorseViewIface;
    GList*              seahorse_view_get_selected_objects  (SeahorseView *self);
    void                seahorse_view_set_selected_objects  (SeahorseView *self,
                                                             GList *objects);
    GList*              seahorse_view_get_selected_matching (SeahorseView *self,
                                                             SeahorseObjectPredicate *pred);
    SeahorseObject*     seahorse_view_get_selected          (SeahorseView *self);
    void                seahorse_view_set_selected          (SeahorseView *self,
                                                             SeahorseObject *value);
    SeahorseSet*        seahorse_view_get_current_set       (SeahorseView *self);
    GtkWindow*          seahorse_view_get_window            (SeahorseView *self);
    void                seahorse_view_register_ui           (SeahorseView *self,
                                                             SeahorseObjectPredicate *pred,
                                                             const gchar *ui_definition,
                                                             GtkActionGroup *actions);
    void                seahorse_view_register_commands     (SeahorseView *self,
                                                             SeahorseObjectPredicate *pred,
                                                             SeahorseCommands *commands);

## Description

## Details

### SeahorseCommands

    typedef struct {
    	GObject parent_instance;
    	SeahorseCommandsPrivate *pv;
    } SeahorseCommands;

### SEAHORSE_VIEW_GET_INTERFACE()

    #define SEAHORSE_VIEW_GET_INTERFACE(obj)   (G_TYPE_INSTANCE_GET_INTERFACE ((obj), SEAHORSE_TYPE_VIEW, SeahorseViewIface))

`obj` : |

### SeahorseView

    typedef struct _SeahorseView SeahorseView;

### SeahorseViewIface

    typedef struct {
    	GTypeInterface parent_iface;

    	/* virtual metdods */
    	GList*          (*get_selected_objects)   (SeahorseView *self);

    	void            (*set_selected_objects)   (SeahorseView *self,
    	                                           GList *objects);

    	GList*          (*get_selected_matching)  (SeahorseView *self,
    	                                           SeahorseObjectPredicate *pred);

    	SeahorseObject* (*get_selected)           (SeahorseView *self);

    	void            (*set_selected)           (SeahorseView *self,
    	                                           SeahorseObject *value);

    	SeahorseSet*    (*get_current_set)        (SeahorseView *self);

    	GtkWindow*      (*get_window)             (SeahorseView *self);

    	void            (*register_commands)      (SeahorseView *self,
    	                                           SeahorseObjectPredicate *pred,
    	                                           SeahorseCommands *commands);

    	void            (*register_ui)            (SeahorseView *self,
    	                                           SeahorseObjectPredicate *pred,
    	                                           const gchar *ui_definition,
    	                                           GtkActionGroup *actions);
    } SeahorseViewIface;

### seahorse_view_get_selected_objects ()

    GList*              seahorse_view_get_selected_objects  (SeahorseView *self);

`self` : |
Returns : |

### seahorse_view_set_selected_objects ()

    void                seahorse_view_set_selected_objects  (SeahorseView *self,
                                                             GList *objects);

`self` : |
`objects` : |

### seahorse_view_get_selected_matching ()

    GList*              seahorse_view_get_selected_matching (SeahorseView *self,
                                                             SeahorseObjectPredicate *pred);

`self` : |
`pred` : |
Returns : |

### seahorse_view_get_selected ()

    SeahorseObject*     seahorse_view_get_selected          (SeahorseView *self);

`self` : |
Returns : |

### seahorse_view_set_selected ()

    void                seahorse_view_set_selected          (SeahorseView *self,
                                                             SeahorseObject *value);

`self` : |
`value` : |

### seahorse_view_get_current_set ()

    SeahorseSet*        seahorse_view_get_current_set       (SeahorseView *self);

`self` : |
Returns : |

### seahorse_view_get_window ()

    GtkWindow*          seahorse_view_get_window            (SeahorseView *self);

`self` : |
Returns : |

### seahorse_view_register_ui ()

    void                seahorse_view_register_ui           (SeahorseView *self,
                                                             SeahorseObjectPredicate *pred,
                                                             const gchar *ui_definition,
                                                             GtkActionGroup *actions);

`self` : |
`pred` : |
`ui_definition` : |
`actions` : |

### seahorse_view_register_commands ()

    void                seahorse_view_register_commands     (SeahorseView *self,
                                                             SeahorseObjectPredicate *pred,
                                                             SeahorseCommands *commands);

`self` : |
`pred` : |
`commands` : |